> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# public/get_funding_chart_data

> Retrieves funding rate chart data points for a PERPETUAL instrument within a given time period. The data is formatted for use in charting applications and includes funding rate values at regular intervals.

Use the `length` parameter to specify the time period for which to retrieve chart data. This method is useful for visualizing funding rate trends over time.

[Try in API console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_funding_chart_data)





## OpenAPI

````yaml /api-reference/coinbase-deribit-app-api/adv-starbase-openapi.json get /public/get_funding_chart_data
openapi: 3.0.0
info:
  description: Coinbase Retail Advanced Trade API for derivatives trading.
  title: Coinbase Retail Advanced Trade (Deribit) API
  version: 2.1.1
servers:
  - url: https://drb.coinbase.com/api/v2
security: []
tags:
  - description: Can only be used over websockets.
    name: WebSocket Only
  - description: Public methods can be used without authentication.
    name: Public
  - description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
    name: Private
  - name: Authentication
  - name: Session Management
  - description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
    name: Subscription Management
  - name: Account Management
  - name: Trading
  - name: Market Data
paths:
  /public/get_funding_chart_data:
    get:
      tags:
        - Market Data
        - Public
      description: >+
        Retrieves funding rate chart data points for a PERPETUAL instrument
        within a given time period. The data is formatted for use in charting
        applications and includes funding rate values at regular intervals.


        Use the `length` parameter to specify the time period for which to
        retrieve chart data. This method is useful for visualizing funding rate
        trends over time.


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_funding_chart_data)

      parameters:
        - description: Instrument name
          in: query
          name: instrument_name
          required: true
          schema:
            $ref: '#/components/schemas/instrument_name'
        - description: >-
            Specifies time period. `8h` - 8 hours, `24h` - 24 hours, `1m` - 1
            month
          in: query
          name: length
          required: true
          schema:
            enum:
              - 8h
              - 24h
              - 1m
            type: string
      responses:
        '200':
          $ref: '#/components/responses/PublicGetFundingChartDataResponse'
components:
  schemas:
    instrument_name:
      description: Unique instrument identifier
      example: BTC-PERPETUAL
      type: string
    PublicGetFundingChartDataResponse:
      properties:
        id:
          description: The id that was sent in the request
          type: integer
        jsonrpc:
          description: The JSON-RPC version (2.0)
          enum:
            - '2.0'
          type: string
        result:
          properties:
            current_interest:
              description: Current interest
              example: 0.005000670552845
              type: number
            data:
              items:
                properties:
                  index_price:
                    $ref: '#/components/schemas/index_price'
                  interest_8h:
                    description: Historical interest 8h value
                    example: 0.004999511380756577
                    type: number
                  timestamp:
                    $ref: '#/components/schemas/timestamp'
                required:
                  - timestamp
                  - index_price
                  - interest_8h
                type: object
              type: array
            interest_8h:
              description: Current interest 8h
              example: 0.0040080896931
              type: number
          required:
            - current_interest
            - data
            - interest_8h
          type: object
      required:
        - jsonrpc
        - result
      type: object
    index_price:
      description: Current index price
      example: 8247.27
      type: number
    timestamp:
      description: The timestamp (milliseconds since the Unix epoch)
      example: 1536569522277
      type: integer
  responses:
    PublicGetFundingChartDataResponse:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/PublicGetFundingChartDataResponse'
      description: Success response

````